Subject: bug#46713: 27.1; Variable binding depth exceeds max-specpdl-size in js-mode with js-indent-level 2 and indent-tabs-mode nil on new line

From: Ryan Olson <[email-masked]>
Date: Tue, 23 Feb 2021 09:31:53 -0700

It was with something like this that I saw the error I reported. I’m not
sure how to reproduce that.

I guess we can instead fix this one (that _is_ reproducible)?

On Tue, Feb 23, 2021 at 8:36 AM Lars Ingebrigtsen <[email-masked]> wrote:

> Ryan Olson <[email-masked]> writes:
>
> > Repro steps:
> > 1. Open foo.js with emacs -Q --eval '(setq-default js-indent-level 2
> > indent-tabs-mode nil)' foo.js
> > 2. Go to line 61
> > 3. Delete brace at end of that line
> > 4. Save
> > 5. Add brace back
> > 6. Press RET
> > 7. Errors happen
>
> Thanks for the clear recipe.  With it, I'm also seeing errors (in both
> Emacs 27 and 28):
>
> Debugger entered--Lisp error: (error "internal--syntax-propertize did not
> move syntax-pr...")
>   backward-prefix-chars()
>   back-to-indentation()
>   current-left-margin()
>   move-to-left-margin(nil t)
>   #f(compiled-function () #<bytecode 0x155c01f42651>)()
>   self-insert-command(1)
>   newline(nil 1)
>   funcall-interactively(newline nil 1)
>   call-interactively(newline nil nil)
>
> But I'm not seeing the "binding depth" one.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>
-- 
Sent from my iPhone